classification
Title: Grammar errors in threading.Lock documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ramchandra Apte, amysyk, docs@python, georg.brandl, r.david.murray
Priority: normal Keywords: patch

Created on 2013-04-27 04:55 by amysyk, last changed 2013-05-02 10:22 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue17851.patch amysyk, 2013-04-27 05:02 patch for grammar errors review
Messages (8)
msg187887 - (view) Author: Andriy Mysyk (amysyk) * Date: 2013-04-27 04:55
No need for comma in "which one of the waiting threads proceeds is not defined, and may vary across implementations."

"Once a thread has acquired a lock, subsequent attempts to acquire it block, until it is released; any thread may release it" should read "are blocked" instead of "block."


/Documents/python/cpython/Doc/build/html/library/threading.html
msg187888 - (view) Author: Andriy Mysyk (amysyk) * Date: 2013-04-27 05:02
submitting a patch for both grammar errors
msg187907 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-04-27 14:22
afaik they don't seem to be grammatical errors
"subsequent attempts to acquire it block" - block is the verb, don't see anything wrong
similar example: the crowd blocks me. (present tense)
"which one of the waiting threads proceeds is not defined, and may vary across implementations." - there is only one clause, so no comma needed.
If two separate clauses. are separated a coordinating conjunction (such as and), commas are required afaik.
msg187908 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-04-27 14:26
oops, should be "the crowd blocks me"
msg187909 - (view) Author: Andriy Mysyk (amysyk) * Date: 2013-04-27 14:48
Ramachandra, if I understand you correctly, I think what you are saying that both are grammar mistakes and the first one could addressed by adding "s" to block.
msg187912 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-04-27 15:27
I see no problem with both points: "block" is the correct verb form in this context ("attempts" being plural), and the version including comma reads better to me.
msg187942 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-04-27 22:19
I (as a native English speaker, FWIW) agree that the existing text is correct insofar as the reported problems go.  I, however, would remove the comma after 'block'.  I don't know that it is wrong as written, but it reads strangely to my ear.
msg188058 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-04-29 10:02
I'm saying that they aren't valid grammar mistakes (there is no grammar
mistake). I agree with Georg Brandl's comment.

On 27 April 2013 20:18, Andriy Mysyk <report@bugs.python.org> wrote:

>
> Andriy Mysyk added the comment:
>
> Ramachandra, if I understand you correctly, I think what you are saying
> that both are grammar mistakes and the first one could addressed by adding
> "s" to block.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue17851>
> _______________________________________
>
History
Date User Action Args
2013-05-02 10:22:43ezio.melottisetstage: resolved
2013-04-29 10:02:11Ramchandra Aptesetmessages: + msg188058
2013-04-27 22:19:39r.david.murraysetnosy: + r.david.murray
messages: + msg187942
2013-04-27 15:27:14georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg187912

resolution: works for me
2013-04-27 14:48:39amysyksetmessages: + msg187909
2013-04-27 14:26:27Ramchandra Aptesetmessages: + msg187908
2013-04-27 14:22:40Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg187907
2013-04-27 05:02:22amysyksetfiles: + issue17851.patch

assignee: docs@python
components: + Documentation

keywords: + patch
nosy: + docs@python
messages: + msg187888
2013-04-27 04:55:56amysykcreate